pcl::DefaultPointRepresentation< ShapeContext1980 > Class Template Reference

`#include <pcl/point_representation.h>`

Inheritance diagram for pcl::DefaultPointRepresentation< ShapeContext1980 >:

## Public Member Functions

| DefaultPointRepresentation ()
virtual void | copyToFloatArray (const ShapeContext1980 &p, float *out) const
| Copy point data from input point to a float array. More...
Public Member Functions inherited from pcl::PointRepresentation< ShapeContext1980 >
| PointRepresentation ()
| Empty constructor. More...
virtual | ~PointRepresentation ()
| Empty destructor. More...
bool | isTrivial () const
| Returns whether this point representation is trivial. More...
virtual bool | isValid (const ShapeContext1980 &p) const
| Verify that the input point is valid. More...
void | vectorize (const ShapeContext1980 &p, OutputType &out) const
| Convert input point into a vector representation, rescaling by alpha. More...
void | setRescaleValues (const float *rescale_array)
| Set the rescale values to use when vectorizing points. More...
int | getNumberOfDimensions () const
| Return the number of dimensions in the point's vector representation. More...

## Additional Inherited Members

Public Types inherited from pcl::PointRepresentation< ShapeContext1980 >
typedef boost::shared_ptr< PointRepresentation< ShapeContext1980 > > | Ptr
typedef boost::shared_ptr< const PointRepresentation< ShapeContext1980 > > | ConstPtr
Protected Attributes inherited from pcl::PointRepresentation< ShapeContext1980 >
int | nr_dimensions_
| The number of dimensions in this point's vector (i.e. More...
std::vector< float > | alpha_
| A vector containing the rescale factor to apply to each dimension. More...
bool | trivial_
| Indicates whether this point representation is trivial. More...

## Detailed Description

### template<>
class pcl::DefaultPointRepresentation< ShapeContext1980 >

Definition at line 442 of file point_representation.h.

## Constructor & Destructor Documentation

pcl::DefaultPointRepresentation< ShapeContext1980 >::DefaultPointRepresentation | ( |  | ) |

inline

Definition at line 445 of file point_representation.h.

References pcl::PointRepresentation< PointT >::nr_dimensions_.

## Member Function Documentation

virtual void pcl::DefaultPointRepresentation< ShapeContext1980 >::copyToFloatArray | ( | const ShapeContext1980 & | p,
|  | float * | out
| ) |  | const

inline virtual

Copy point data from input point to a float array.

This method must be overriden in all subclasses.

Parameters

  [in] | p | The input point
  [out] | out | A pointer to a float array.

Implements pcl::PointRepresentation< ShapeContext1980 >.

Definition at line 451 of file point_representation.h.

References pcl::ShapeContext1980::descriptor, and pcl::PointRepresentation< PointT >::nr_dimensions_.

The documentation for this class was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/common/include/pcl/point_representation.h